
From: Pavel Machek <pavel@ucw.cz>

Show swsuspend only on .config where it can compile.  I got this on PPC32 &&
SMP:

kernel/power/smp.c:24: error: storage size of `ctxt' isn't known

Also mark swsusp as no longer experimental.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null             |    0 
 kernel/power/Kconfig |    4 ++--
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -L data/l/clean-cg//kernel/power/Kconfig -puN /dev/null /dev/null
diff -puN kernel/power/Kconfig~swsusp-only-allow-it-when-it-makes-sense kernel/power/Kconfig
--- 25/kernel/power/Kconfig~swsusp-only-allow-it-when-it-makes-sense	Fri May 27 16:08:12 2005
+++ 25-akpm/kernel/power/Kconfig	Fri May 27 16:09:12 2005
@@ -27,8 +27,8 @@ config PM_DEBUG
 	like suspend support.
 
 config SOFTWARE_SUSPEND
-	bool "Software Suspend (EXPERIMENTAL)"
-	depends on EXPERIMENTAL && PM && SWAP && (SUSPEND_SMP || !SMP)
+	bool "Software Suspend"
+	depends on EXPERIMENTAL && PM && SWAP && ((X86 && SMP) || ((FVR || PPC32 || X86) && !SMP))
 	---help---
 	  Enable the possibility of suspending the machine.
 	  It doesn't need APM.
_
